summaryrefslogtreecommitdiffstats
path: root/gettext-tools
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2007-09-02 09:55:51 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:15:03 +0200
commit6e2e1ef03eba6980d24fd31756cd3e8700b0e237 (patch)
treedbe494d8aac389541dc5c98a131467227fb22fd7 /gettext-tools
parentf6d16458876e8eb80246e72d0ee52404a98a458d (diff)
downloadexternal_gettext-6e2e1ef03eba6980d24fd31756cd3e8700b0e237.zip
external_gettext-6e2e1ef03eba6980d24fd31756cd3e8700b0e237.tar.gz
external_gettext-6e2e1ef03eba6980d24fd31756cd3e8700b0e237.tar.bz2
Test of extraction with contexts from C# source.
Diffstat (limited to 'gettext-tools')
-rwxr-xr-xgettext-tools/tests/xgettext-csharp-737
1 files changed, 37 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-7 b/gettext-tools/tests/xgettext-csharp-7
new file mode 100755
index 0000000..8c7629a
--- /dev/null
+++ b/gettext-tools/tests/xgettext-csharp-7
@@ -0,0 +1,37 @@
+#! /bin/sh
+
+# Test C# support: extraction of contexts.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-cs-7.cs"
+cat <<\EOF > xg-cs-7.cs
+Console.WriteLine(rm.GetString("help"));
+Console.WriteLine(rm.GetParticularString("Help", "about"));
+EOF
+
+tmpfiles="$tmpfiles xg-cs-7.tmp.po xg-cs-7.po"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location -d xg-cs-7.tmp xg-cs-7.cs
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-cs-7.tmp.po > xg-cs-7.po
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-cs-7.ok"
+cat <<EOF > xg-cs-7.ok
+msgid "help"
+msgstr ""
+
+msgctxt "Help"
+msgid "about"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-cs-7.ok xg-cs-7.po
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result